Upstream information

CVE-2009-0179 at MITRE

Description

libmikmod 3.1.11 through 3.2.0, as used by MikMod and possibly other products, allows user-assisted attackers to cause a denial of service (application crash) by loading an XM file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 468760 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libmikmod >= 3.1.11a-116.2.1
  • libmikmod-devel >= 3.1.11a-116.2.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libmikmod-3.1.11a-116.2.1
SUSE Linux Enterprise Desktop 12 SP1
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libmikmod-devel-3.2.0-4.59
SUSE Linux Enterprise Workstation Extension 12 SP1 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Desktop 12 SP2
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libmikmod-devel-3.2.0-4.54
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Desktop 12 SP3
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libmikmod-devel-3.2.0-4.54
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Desktop 12 SP4
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libmikmod-devel-3.2.0-4.54
SUSE Linux Enterprise Workstation Extension 12 SP4 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Desktop 12 SP5
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP5 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Desktop 12
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Software Development Kit 12 GA libmikmod-devel-3.2.0-4.59
SUSE Linux Enterprise Workstation Extension 12 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libmikmod-devel-3.2.0-4.59
SUSE Linux Enterprise Workstation Extension 12 SP1 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libmikmod-devel-3.2.0-4.54
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libmikmod-devel-3.2.0-4.54
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libmikmod-devel-3.2.0-4.54
SUSE Linux Enterprise Workstation Extension 12 SP4 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libmikmod-devel-3.2.0-4.54
SUSE Linux Enterprise Workstation Extension 12 SP5 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libmikmod-devel-3.2.0-4.59
SUSE Linux Enterprise Workstation Extension 12 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libmikmod-devel-3.2.0-4.59
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libmikmod-devel-3.2.0-4.54
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libmikmod-devel-3.2.0-4.54
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libmikmod-devel-3.2.0-4.54
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libmikmod-devel-3.2.0-4.54
SUSE Linux Enterprise Software Development Kit 12
  • libmikmod-devel >= 3.2.0-4.59
  • libmikmod3 >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libmikmod-devel-3.2.0-4.59
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Workstation Extension 12 SP4
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP4 GA libmikmod3-3.2.0-4.59
SUSE Linux Enterprise Workstation Extension 12
  • libmikmod3 >= 3.2.0-4.59
  • libmikmod3-32bit >= 3.2.0-4.59
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA libmikmod3-3.2.0-4.59
openSUSE Tumbleweed
  • libmikmod-devel >= 3.3.7-1.7
  • libmikmod3 >= 3.3.7-1.7
  • libmikmod3-32bit >= 3.3.7-1.7
  • timidity >= 2.15.0-2.2
Patchnames:
openSUSE Tumbleweed GA libmikmod-devel-3.3.7-1.7
openSUSE Tumbleweed GA timidity-2.15.0-2.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 libmikmod Affected
SUSE Linux Enterprise Desktop 11 SP1 libmikmod Affected
SUSE Linux Enterprise Desktop 11 SP2 libmikmod Affected
SUSE Linux Enterprise Desktop 11 SP3 libmikmod Affected
SUSE Linux Enterprise Desktop 11 SP4 libmikmod Affected
SUSE Linux Enterprise Server 11 libmikmod Affected
SUSE Linux Enterprise Server 11 SP1 libmikmod Affected
SUSE Linux Enterprise Server 11 SP2 libmikmod Affected
SUSE Linux Enterprise Server 11 SP3 libmikmod Affected
SUSE Linux Enterprise Server 11 SP4 libmikmod Affected
SUSE Linux Enterprise Server for SAP Applications 11 libmikmod Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP1 libmikmod Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 libmikmod Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 libmikmod Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 libmikmod Affected
SUSE Linux Enterprise Software Development Kit 11 libmikmod Affected
SUSE Linux Enterprise Software Development Kit 11 SP1 libmikmod Affected
SUSE Linux Enterprise Software Development Kit 11 SP2 libmikmod Affected
SUSE Linux Enterprise Software Development Kit 11 SP3 libmikmod Affected
SUSE Linux Enterprise Software Development Kit 11 SP4 libmikmod Affected